﻿@page
@model PlaylistModel

<div class="playlist-player">
    <table id="main-playlist" class="table table-dark table-hover playlist">
        <thead>
            <tr>
                <th>TITLE</th>
                <th>ARTIST</th>
                <th>ALBUM</th>
                <th>Last Played</th>
                <th>Duration</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var song in Model.Songs)
            {
                <tr id="id-@song.ID">
                    <td>@song.Title</td>
                    <td>@song.Artist</td>
                    <td>@song.Album</td>
                    <td>@song.LastTimeListened</td>
                    <td>@song.Duration</td>
                </tr>
            }
        </tbody>
    </table>

    <div id="main-player" class="player"></div>
</div>